package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.BuildingInfoListDto;
import com.zoniot.ccrc.dto.BuildingSelectInfoDto;
import com.zoniot.ccrc.dto.DeviceDto;
import com.zoniot.ccrc.dto.PriceInfo;
import com.zoniot.ccrc.entity.Device;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface DeviceMapper {
    int insertSelective(Device record);

    int replaceSelective(Device record);

    int updateByPrimaryKeySelective(Device record);

    int updateBatch(List<Device> list);

    int batchInsert(@Param("list") List<Device> list);

    List<DeviceDto> getList(
            @Param("siteId") Integer siteId,
            @Param("userId") Integer userId,
            @Param("sysId") Integer sysId,
            @Param("deviceTypeId") Integer deviceTypeId,
            @Param("orgId") Integer orgId,
            @Param("province") Integer province,
            @Param("city") Integer city,
            @Param("region") Integer region,
            @Param("communityId") Integer communityId,
            @Param("buildingId") Integer buildingId,
            @Param("deviceNo") String deviceNo,
            @Param("clientName") String clientName,
            @Param("locDesc") String locDesc,
            @Param("status") Integer status,
            @Param("valveStatus") Integer valveStatus,
            @Param("communityIds") List<Integer> communityIds,
            @Param("sortColumn") String sortColumn,
            @Param("sortOrder") String sortOrder);

    List<BuildingSelectInfoDto> deviceAreaList(
            @Param("siteId") Integer siteId,
            @Param("userId") Integer userId,
            @Param("sysId") Integer sysId,
            @Param("deviceTypeId") Integer deviceTypeId,
            @Param("orgId") Integer orgId,
            @Param("province") Integer province,
            @Param("city") Integer city,
            @Param("region") Integer region,
            @Param("communityId") Integer communityId,
            @Param("buildingId") Integer buildingId,
            @Param("deviceNo") String deviceNo,
            @Param("clientName") String clientName,
            @Param("locDesc") String locDesc,
            @Param("status") Integer status,
            @Param("valveStatus") Integer valveStatus,
            @Param("communityIds") List<Integer> communityIds);

    Long getDeviceIdByUserNumber(Integer id);

    List<BuildingInfoListDto> getBuildingStatistics(
            @Param("siteId") Integer siteId,
            @Param("sysId") Integer sysId,
            @Param("userId") Integer userId,
            @Param("communityIds") List<Integer> communityIds,
            @Param("province") Integer province,
            @Param("city") Integer city,
            @Param("region") Integer region,
            @Param("community") Integer community,
            @Param("type") Integer type,
            @Param("longitudeMin") Double longitudeMin,
            @Param("longitudeMax") Double longitudeMax,
            @Param("latitudeMin") Double latitudeMin,
            @Param("latitudeMax") Double latitudeMax);

    List<PriceInfo> getPriceInfo();

    Device findByDeviceId(@Param("deviceId") Long deviceId);

    DeviceDto findDeviceDetail(@Param("deviceId") Long deviceId);
}