package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.DeviceTypeDto;
import com.zoniot.ccrc.dto.TreeDataDto;
import com.zoniot.ccrc.entity.DeviceType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DeviceTypeMapper {
    int insert(@Param("deviceType") DeviceType deviceType);

    int insertSelective(@Param("deviceType") DeviceType deviceType);

    int insertList(@Param("deviceTypes") List<DeviceType> deviceTypes);

    int updateByPrimaryKeySelective(@Param("deviceType") DeviceType deviceType);


    List<Integer> deleteQueryByManufacturerId(@Param("manufacturerId") Integer manufacturerId);

    DeviceType findByid(@Param("id") Integer id);

    List<DeviceTypeDto> getDeviceTypeList(@Param("sysId") Integer sysId, @Param("type") Integer type);

    List<TreeDataDto> getTreeData(@Param("sysId") Integer sysId, @Param("type") Integer type);

    List<TreeDataDto> getTreeDataByManufacturerId(@Param("channelId") Integer channelId, @Param("manufacturerId") Integer manufacturerId);

    int findDeviceTypeUnique(@Param("id") Integer id, @Param("manufacturerId") Integer manufacturerId, @Param("equipmentType") String equipmentType, @Param("model") String model);

    List<DeviceType> queryList(@Param("param") DeviceType param);

    List<DeviceTypeDto> getConditionWithDeviceType(@Param("siteId") int siteId, @Param("buildingIds") int[] buildingIds, @Param("channelId") int channelId);

    List<DeviceTypeDto> getWaterMeterType(@Param("parentId") Integer parentId);

    List<DeviceTypeDto> findByIds(@Param("deviceTypeIds") List<Integer> deviceTypeIds);

    DeviceTypeDto getByName(@Param("deviceTypeName") String deviceTypeName, @Param("deviceTypeModel") String deviceTypeModel);

    DeviceTypeDto getById(@Param("id") Integer id);

    DeviceTypeDto findByDeviceTypeId(@Param("deviceTypeId") Integer deviceTypeId);
}
