package com.zoniot.ccrc.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

@ApiModel(value="小区")
@Data
public class Community implements Serializable {
    @ApiModelProperty(value="主键", hidden = true)
    private Integer id;

    @ApiModelProperty(value="站点", hidden = true)
    private Integer siteId;

    @ApiModelProperty(value="小区名称", required = true)
    private String name;

    @ApiModelProperty(value="小区编号", required = true)
    private String code;

    @ApiModelProperty(value="客户id", required = true)
    private Integer customerId;

    @ApiModelProperty(value="省", required = true)
    private Integer province;

    @ApiModelProperty(value="市", required = true)
    private Integer city;

    @ApiModelProperty(value="区", required = true)
    private Integer region;

    @ApiModelProperty(value = "经度", required = true)
    private Double longitude;

    @ApiModelProperty(value = "纬度", required = true)
    private Double latitude;

    @ApiModelProperty(value="片区", hidden = true)
    private Integer districtId;

    @ApiModelProperty(value="地址", required = true)
    private String address;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="状态", hidden = true)
    private Integer status;

    @ApiModelProperty(value="创建时间", hidden = true)
    private Date dateCreate;

    @ApiModelProperty(value="更新时间", hidden = true)
    private Date dateUpdate;

    @ApiModelProperty(value="创建人", hidden = true)
    private String createBy;

    @ApiModelProperty(value="更新人", hidden = true)
    private String updateBy;

    private Integer orgId;
}