package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigInteger;
import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel("机构")
public class Organization {

    @ApiModelProperty(value = "编号", position = 1)
    private Integer id;

    @ApiModelProperty(value = "父类id,顶层值为0", position = 2)
    private Integer parentId;

    @JsonIgnore
    @ApiModelProperty(value = "站点id", position = 3, hidden = true)
    private Integer siteId;

    @ApiModelProperty(value = "名称", position = 4)
    private String name;

    @ApiModelProperty(value = "类型 1：系统 2：公司 3：部门 4：小组 5：其他", position = 5)
    private Integer type;

    @ApiModelProperty(value = "地址", position = 6)
    private String address;

    @ApiModelProperty(value = "集合", position = 7)
    private String collections;
    @ApiModelProperty(value = "客户ID", position = 8)
    private BigInteger customerId;

    @JsonIgnore
    @ApiModelProperty(value = "状态 0：删除 1：正常", position = 6, hidden = true)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy;
    @ApiModelProperty(value = "小区id", position = 54)
    private List<Integer>communityId;
    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id",position = 55)
    private String areaId;
}
