package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.RequiredArgsConstructor;

import java.time.LocalDateTime;

@Data
@ApiModel("角色权限关系")
@RequiredArgsConstructor
@AllArgsConstructor
public class RolePermission {
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("角色id")
    private Integer rid;

    @ApiModelProperty("权限id")
    private Integer pid;

    @ApiModelProperty(value = "状态 0:删除 1:正常", position = 9)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新人", position = 53, hidden = true)
    private String updateBy;
}
