package com.zoniot.ccrc.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("站点人员")
public class SiteUser {
    @ApiModelProperty(value = "id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "站点id", position = 2)
    private Integer siteId;

    @ApiModelProperty(value = "用户id", position = 3)
    private Integer userId;

    @ApiModelProperty(value = "状态 0:删除 1:正常", position = 4)
    private Integer status;

    @ApiModelProperty("机构id")
    private Integer organId;

    @ApiModelProperty("用户类型 0：无 1:超级管理员 2:站点管理员 3：站点用户")
    private Integer type;

    @ApiModelProperty(value = "是否管理员", position = 5)
    private Integer isAdmin;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate;

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "更新人", position = 53, hidden = true)
    private String updateBy;
    private Integer roleType;


}
